Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network82.167.240.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
82.167.240.0
Broadcast address
82.167.255.255
First usable
82.167.240.1
Last usable
82.167.255.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 52A7F000 · Integer 1386737664 to 1386741759
Reverse DNS zones
240.167.82.in-addr.arpa
241.167.82.in-addr.arpa
242.167.82.in-addr.arpa
243.167.82.in-addr.arpa
244.167.82.in-addr.arpa
245.167.82.in-addr.arpa
246.167.82.in-addr.arpa
247.167.82.in-addr.arpa
248.167.82.in-addr.arpa
249.167.82.in-addr.arpa
250.167.82.in-addr.arpa
251.167.82.in-addr.arpa
252.167.82.in-addr.arpa
253.167.82.in-addr.arpa
254.167.82.in-addr.arpa
255.167.82.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010010.10100111.11110000.0000000082.167.240.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01010010.10100111.11110000.0000000082.167.240.0
Broadcast01010010.10100111.11111111.1111111182.167.255.255
Split into smaller subnets/26

82.167.240.0/20 makes 64 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
182.167.240.0/2682.167.240.1 to 82.167.240.6282.167.240.6362
282.167.240.64/2682.167.240.65 to 82.167.240.12682.167.240.12762
382.167.240.128/2682.167.240.129 to 82.167.240.19082.167.240.19162
482.167.240.192/2682.167.240.193 to 82.167.240.25482.167.240.25562
582.167.241.0/2682.167.241.1 to 82.167.241.6282.167.241.6362
682.167.241.64/2682.167.241.65 to 82.167.241.12682.167.241.12762
782.167.241.128/2682.167.241.129 to 82.167.241.19082.167.241.19162
882.167.241.192/2682.167.241.193 to 82.167.241.25482.167.241.25562
982.167.242.0/2682.167.242.1 to 82.167.242.6282.167.242.6362
1082.167.242.64/2682.167.242.65 to 82.167.242.12682.167.242.12762
1182.167.242.128/2682.167.242.129 to 82.167.242.19082.167.242.19162
1282.167.242.192/2682.167.242.193 to 82.167.242.25482.167.242.25562
1382.167.243.0/2682.167.243.1 to 82.167.243.6282.167.243.6362
1482.167.243.64/2682.167.243.65 to 82.167.243.12682.167.243.12762
1582.167.243.128/2682.167.243.129 to 82.167.243.19082.167.243.19162
1682.167.243.192/2682.167.243.193 to 82.167.243.25482.167.243.25562
1782.167.244.0/2682.167.244.1 to 82.167.244.6282.167.244.6362
1882.167.244.64/2682.167.244.65 to 82.167.244.12682.167.244.12762
1982.167.244.128/2682.167.244.129 to 82.167.244.19082.167.244.19162
2082.167.244.192/2682.167.244.193 to 82.167.244.25482.167.244.25562
2182.167.245.0/2682.167.245.1 to 82.167.245.6282.167.245.6362
2282.167.245.64/2682.167.245.65 to 82.167.245.12682.167.245.12762
2382.167.245.128/2682.167.245.129 to 82.167.245.19082.167.245.19162
2482.167.245.192/2682.167.245.193 to 82.167.245.25482.167.245.25562
2582.167.246.0/2682.167.246.1 to 82.167.246.6282.167.246.6362
2682.167.246.64/2682.167.246.65 to 82.167.246.12682.167.246.12762
2782.167.246.128/2682.167.246.129 to 82.167.246.19082.167.246.19162
2882.167.246.192/2682.167.246.193 to 82.167.246.25482.167.246.25562
2982.167.247.0/2682.167.247.1 to 82.167.247.6282.167.247.6362
3082.167.247.64/2682.167.247.65 to 82.167.247.12682.167.247.12762
3182.167.247.128/2682.167.247.129 to 82.167.247.19082.167.247.19162
3282.167.247.192/2682.167.247.193 to 82.167.247.25482.167.247.25562
3382.167.248.0/2682.167.248.1 to 82.167.248.6282.167.248.6362
3482.167.248.64/2682.167.248.65 to 82.167.248.12682.167.248.12762
3582.167.248.128/2682.167.248.129 to 82.167.248.19082.167.248.19162
3682.167.248.192/2682.167.248.193 to 82.167.248.25482.167.248.25562
3782.167.249.0/2682.167.249.1 to 82.167.249.6282.167.249.6362
3882.167.249.64/2682.167.249.65 to 82.167.249.12682.167.249.12762
3982.167.249.128/2682.167.249.129 to 82.167.249.19082.167.249.19162
4082.167.249.192/2682.167.249.193 to 82.167.249.25482.167.249.25562
4182.167.250.0/2682.167.250.1 to 82.167.250.6282.167.250.6362
4282.167.250.64/2682.167.250.65 to 82.167.250.12682.167.250.12762
4382.167.250.128/2682.167.250.129 to 82.167.250.19082.167.250.19162
4482.167.250.192/2682.167.250.193 to 82.167.250.25482.167.250.25562
4582.167.251.0/2682.167.251.1 to 82.167.251.6282.167.251.6362
4682.167.251.64/2682.167.251.65 to 82.167.251.12682.167.251.12762
4782.167.251.128/2682.167.251.129 to 82.167.251.19082.167.251.19162
4882.167.251.192/2682.167.251.193 to 82.167.251.25482.167.251.25562
4982.167.252.0/2682.167.252.1 to 82.167.252.6282.167.252.6362
5082.167.252.64/2682.167.252.65 to 82.167.252.12682.167.252.12762
5182.167.252.128/2682.167.252.129 to 82.167.252.19082.167.252.19162
5282.167.252.192/2682.167.252.193 to 82.167.252.25482.167.252.25562
5382.167.253.0/2682.167.253.1 to 82.167.253.6282.167.253.6362
5482.167.253.64/2682.167.253.65 to 82.167.253.12682.167.253.12762
5582.167.253.128/2682.167.253.129 to 82.167.253.19082.167.253.19162
5682.167.253.192/2682.167.253.193 to 82.167.253.25482.167.253.25562
5782.167.254.0/2682.167.254.1 to 82.167.254.6282.167.254.6362
5882.167.254.64/2682.167.254.65 to 82.167.254.12682.167.254.12762
5982.167.254.128/2682.167.254.129 to 82.167.254.19082.167.254.19162
6082.167.254.192/2682.167.254.193 to 82.167.254.25482.167.254.25562
6182.167.255.0/2682.167.255.1 to 82.167.255.6282.167.255.6362
6282.167.255.64/2682.167.255.65 to 82.167.255.12682.167.255.12762
6382.167.255.128/2682.167.255.129 to 82.167.255.19082.167.255.19162
6482.167.255.192/2682.167.255.193 to 82.167.255.25482.167.255.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses